<div class="parameter-page-container" *ngIf="parameterProject">
  <mat-tab-group
    class="side-bar"
    animationDuration="0ms"
    mat-stretch-tabs
    #parameterMatTabGroup
  >
    <mat-tab *ngFor="let group of paramGroups; let i = index">
      <ng-template mat-tab-label>
        <!-- <energy-platform-flower-icons
          class="icon-white icon-size-xxs"
          title="{{ group.name | translate }}"
          name="{{ group.icon }}"
        ></energy-platform-flower-icons> -->

        <span [hidden]="isCollapsed">{{ group.name | translate }}</span>
      </ng-template>

      <ng-template matTabContent>
        <div [ngSwitch]="group.comp">
          <energy-platform-site-parameter
            *ngSwitchCase="'site'"
            [projectId]="parameterProject.id"
            [project]="parameterProject"
          >
          </energy-platform-site-parameter>
          <energy-platform-turbine-parameter
            *ngSwitchCase="'turbine'"
            [projectId]="parameterProject.id"
          ></energy-platform-turbine-parameter>
          <energy-platform-meteo-parameter
            *ngSwitchCase="'meteo'"
            [projectId]="parameterProject.id"
          ></energy-platform-meteo-parameter>
          <energy-platform-economics-parameter
            *ngSwitchCase="'economics'"
            [projectId]="parameterProject.id"
          ></energy-platform-economics-parameter>
          <energy-platform-cabling-parameter
            *ngSwitchCase="'cabling'"
            [projectId]="parameterProject.id"
          ></energy-platform-cabling-parameter>
          <energy-platform-simulation-parameter
            *ngSwitchCase="'simulation'"
            [projectId]="parameterProject.id"
          >
          </energy-platform-simulation-parameter>
          <energy-platform-uncertainty-parameter
            *ngSwitchCase="'uncertainty'"
            [projectId]="parameterProject.id"
          >
          </energy-platform-uncertainty-parameter>
          <energy-platform-optimization-parameter
            *ngSwitchCase="'optimization'"
            [projectId]="parameterProject.id"
          >
          </energy-platform-optimization-parameter>
          <!-- <energy-platform-test-parameter *ngSwitchCase="'test'"></energy-platform-test-parameter> -->
        </div>
      </ng-template>
    </mat-tab>
  </mat-tab-group>
</div>

<div class="parameter-page-container" *ngIf="!parameterProject">
  <p>No parameter project found</p>
</div>
